> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow associations

> List the compliance frameworks (workflows) such as NIS 2 or ISO 27001:2023 currently associated with the organizations you can access. A "workflow" is a framework or task set from the Cyber Posture (V-CISO) module; associating one to an organization enables its controls, tasks and evidence documents.



## OpenAPI

````yaml get /api/v1/v-ciso/workflows
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/v-ciso/workflows:
    get:
      tags:
        - v-ciso
      summary: List workflow associations
      description: Retrieve workflow associations for the user's organizations.
      operationId: v_ciso_workflows_retrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - organization_id
                        - organization_name
                        - workflow_id
                        - workflow_name
                      properties:
                        organization_id:
                          type: integer
                          minimum: 1
                        organization_name:
                          type: string
                        workflow_id:
                          type: string
                        workflow_name:
                          type: string
                      additionalProperties: false
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````